Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Class AbstractV4RequestWithPasscode

    java.lang.Object
      com.rsa.ace.techservice.udpserver.AbstractAceRequest
          com.rsa.ace.techservice.udpserver.AbstractV4Request
              com.rsa.ace.techservice.udpserver.AbstractV4RequestWithPasscode

All Implemented Interfaces:
  AceRequest

Direct Known Subclasses:
  AceAuthV4Request, AceNewPinV4Request, AceNextCodeV4Request

    public abstract class AbstractV4RequestWithPasscode

extends AbstractV4Request

Nested Class Summary

Nested classes/interfaces inherited from class com.rsa.ace.techservice.udpserver.AbstractV4Request
`AbstractV4Request.MessageType`

Field Summary

Fields inherited from interface com.rsa.ace.techservice.udpserver.AceRequest
`NO_RESPONSE, QUEUE_RESPONSE, RESPOND_NOW`

Constructor Summary
`AbstractV4RequestWithPasscode(AceDatagram pkt)`

Method Summary
`byte[]` | `getDecryptedPasscode()`

Methods inherited from class com.rsa.ace.techservice.udpserver.AbstractAceRequest
`getAcePinUtil, getAgentConfig, getBuffer, getCipherProvider, getCreationTime, getEncryptOffset, getHeader, getNonce, getPacket, getProtocolVersion, getSecretKey, getWpCode, haveNodeSecret, haveSecretKey, processRequest, readTrailer, setEncode, setEncryptOffset, setNodeSecret, setSecretKey, setTrailer, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.rsa.ace.techservice.udpserver.AceRequest
`getAgentConfig, getCipherProvider, getCreationTime, getHeader, getNonce, getPacket, getProtocolVersion, getResponse, getWpCode, processRequest, toString`

Constructor Detail

### AbstractV4RequestWithPasscode

    public AbstractV4RequestWithPasscode(AceDatagram pkt)
                                  throws AcePacketException

Throws:
  `AcePacketException`

Method Detail

### getDecryptedPasscode

    public byte[] getDecryptedPasscode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.